libzypp 17.37.10

zyppng::detail::collect_transitions< State, Transitions > Struct Template Reference

`#include <zypp-core/zyppng/base/statemachine.h>`

## Public Types
using | Type = typename collect_transitions_helper< State, std::tuple<>, Transitions... >::Type

## Detailed Description

template<class State, class ... Transitions>
struct zyppng::detail::collect_transitions< State, Transitions >

Definition at line 134 of file statemachine.h.

## Member Typedef Documentation

## ◆ Type

template<class State, class ... Transitions>

using zyppng::detail::collect_transitions< State, Transitions >::Type = typename collect_transitions_helper< State, std::tuple<>, Transitions... >::Type

Definition at line 135 of file statemachine.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/base/statemachine.h